Bug 156158 - [PATCH] update devel/rubygem-ffi to work with Ruby 1.9
Summary: [PATCH] update devel/rubygem-ffi to work with Ruby 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-03 21:20 UTC by Steve Wills
Modified: 2011-04-06 02:02 UTC (History)
0 users

See Also:


Attachments
file.diff (693 bytes, patch)
2011-04-03 21:20 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2011-04-03 21:20:07 UTC
devel/rubygem-ffi has PLIST issues with Ruby 1.9. The attached patch should fix it.

Fix: See attached

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-04-03 21:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-04-03 21:20:19 UTC
Maintainer of devel/rubygem-ffi,

Please note that PR ports/156158 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156158

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-04-03 21:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Steve Wills freebsd_committer 2011-04-03 23:48:18 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 5 Christoph Kick 2011-04-05 12:37:20 UTC
On 04/03/11 22:20, Edwin Groothuis wrote:
> Maintainer of devel/rubygem-ffi,
> 
> Please note that PR ports/156158 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156158
> 

Approved it, works like a charm. Thank you
Comment 6 dfilter service freebsd_committer 2011-04-06 01:10:59 UTC
swills      2011-04-06 00:10:45 UTC

  FreeBSD ports repository

  Modified files:
    devel/rubygem-ffi    Makefile 
  Log:
  - Fix PLIST with Ruby 1.9
  
  PR:             ports/156158
  Approved by:    Christoph Kick <kick.christoph at googlemail.com> (maintainer)
  
  Revision  Changes    Path
  1.5       +5 -1      ports/devel/rubygem-ffi/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2011-04-06 02:02:34 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!